@import url('https://cdn.jsdelivr.net/npm/bootstrap@5.3.3/dist/css/bootstrap.min.css');
@import url('https://fonts.googleapis.com/css2?family=Montserrat:wght@500;550&display=swap');

/* Header styles */
.header {
    background: linear-gradient(to bottom, rgba(255, 263, 255, 0), rgba(260, 255, 255, 0) 100%);
    padding: 0px 20px;
    display: flex;
    align-items: center;
    justify-content: space-between;
    transition: background 0.5s ease, opacity 1s ease, top 0.3s ease;
    z-index: 1000;
    top: 0;
    width: 100%;
    box-sizing: border-box;
    border: none;
    box-shadow: none;
}

/* Scrolled state of the header */
.header.scrolled {
    background: linear-gradient(to bottom, rgba(255, 263, 255, 2.0), rgba(260, 255, 255, 0.0) 90%);
}

/* Logo and contact number should be invisible initially */
.logo img, .contact-number .btn-custom {
    opacity: 0;
    visibility: hidden;
    transition: opacity 0.5s ease, visibility 0.5s ease;
}

/* Make them visible when scrolled */
.header.scrolled .logo img,
.header.scrolled .contact-number .btn-custom {
    opacity: 1;
    visibility: visible;
}

/* Logo styles */
.logo {
    flex: 1;
    display: flex;
    justify-content: flex-start;
}

.logo img {
    height: 127px;
    width: auto;
    transition: opacity 0.5s ease, transform 0.3s ease;
    transform: translateY(0);
}

/* Contact number styles */
.contact-number {
    flex: 0; /* No extra space taken by the button */
    display: flex;
    align-items: center;
    margin-right: 10px; /* Adjust the margin to position it next to the menu */
}

.contact-number .btn-custom {
    font-weight: bold; /* Makes the button text bold */
    width: auto;
    max-width: 250px; /* Reduced size in desktop view */
    height: 40px; /* Reduced height in desktop view */
    font-size: 1em; /* Slightly smaller font size */
    line-height: 1em;
    text-align: center;
    transition: all 0.3s ease;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
    background-color: white;
    color: #000000;
    border-radius: 50px;
    border: 1px solid #001F62;
    white-space: nowrap;
    padding: 0 20px;
    display: flex;
    align-items: center;
    justify-content: center;
    margin-right: 15px;
    opacity: 1;
    visibility: visible;
}

.contact-number .btn-custom i {
    margin-right: 10px;
    font-size: 1em;
    color: #001F62;
    transition: color 0.3s ease;
    
}

/* Hover Effect */
.contact-number .btn-custom:hover {
    background: #021c7c;
    color: white;
    box-shadow: 0 6px 12px rgba(0, 0, 0, 0.4);
    border-color: #021c7c;
    transform: scale(1.05);
}

.contact-number .btn-custom:hover i {
    color: white;
}

/* Responsive adjustments */
@media (max-width: 768px) {
    .header {
        padding: 10px 15px; /* Adjust padding for smaller screens */
    }

    .logo img {
        height: 90px; /* Reduce logo size on mobile */
    }

    .contact-number {
        flex: 1; /* Allow more space for the button */
        justify-content: center; /* Center the contact number */
        margin-right: 0; /* Remove extra right margin */
    }

    .contact-number .btn-custom {
        max-width: 200px; /* Reduce button width for mobile */
        height: 35px; /* Reduce button height for mobile */
        font-size: 0.9em; /* Adjust font size */
        padding: 0 15px; /* Adjust padding */
        border: 1px solid #001F62;
    }
}

/* Additional responsiveness for very small screens */
@media (max-width: 576px) {
    .header.scrolled {
        background: linear-gradient(to bottom, rgba(255, 263, 255, 4.0), rgba(260, 255, 255, 0) 100%);
    }
    .logo img {
        height: 67px; /* Further reduce logo size on smaller screens */
    }

    .contact-number .btn-custom {
        max-width: 170px; /* Further reduce button width */
        height: 27px; /* Further reduce button height */
        font-size: 0.6em; /* Further adjust font size */
        padding: 0 10px; /* Further adjust padding */
        border: 1px solid #001F62;
    }
}

/* Additional responsiveness for very small screens */
@media (max-width: 375px) {
    .header.scrolled {
        background: linear-gradient(to bottom, rgba(255, 263, 255, 4.0), rgba(260, 255, 255, 0) 100%);
    }
    .logo img {
        height: 50px; /* Further reduce logo size on smaller screens */
    }

    .contact-number .btn-custom {
        max-width: 160px; /* Further reduce button width */
        height: 27px; /* Further reduce button height */
        font-size: 0.6em; /* Further adjust font size */
        padding: 0 10px; /* Further adjust padding */
        border: 1px solid #001F62;
    }
}

/* Media query for 2560px and above */
@media (min-width: 2560px) {
    .logo img {
        height: 190px; /* Increase logo size */
    }

    .contact-number .btn-custom {
        max-width: 400px; /* Increase button width */
        height: 50px; /* Increase button height */
        font-size: 1.7em; /* Increase font size */
        padding: 0 30px; /* Increase padding */
    }

    .contact-number .btn-custom i {
        font-size: 1.2em; /* Increase icon size */
    }
}

/* iOS Specific Styling - Disable fixed attachment */
@supports (-webkit-touch-callout: none) {
    .contact-number .btn-custom{
        width: 270px !important;
    }
}